Results 1 to 5 of 5

Thread: Selecting only Polylines with pedit

  1. #1
    Active Member
    Join Date
    2007-11
    Posts
    68
    Login to Give a bone
    0

    Question Selecting only Polylines with pedit

    I have a lisp that is used in the office and works extreemly well, with the exception of the pedit line. Sometimes I get a prompt to convert lines and arcs to polylines and sometimes it doesnt.

    What im looking for is a way around the question. Here is a copy of the lisp

    The aim of the lisp is to return all lines to default thickness or 0 thickness, change lintypes to bylayer, and all line weights to default.

    Like i said this lisp works but somtimes i have to add "n" into the pedit line
    eg. "pedit" "m" "all" " "n" " "w" "0" ""


    (defun c:thinline ()
    (command "select" "_all" ""
    "chprop" "p" "" "color" "bylayer" "LTscale" "1" "lweight" "bylayer" ""
    "-layer" "lweight" "default" "*" ""
    "pedit" "m" "all" " " "w" "0" ""
    "ZOOM" "E"
    "REGEN"
    )
    (princ))

  2. #2
    AUGI Addict
    Join Date
    2006-04
    Location
    (getpoint "Anywhere on the Enter Key =>")
    Posts
    1,160
    Login to Give a bone
    0

    Default Re: Selecting only Polylines with pedit

    Zuke,
    I think you need to remove the space between two quotation marks shown in red.


    Quote Originally Posted by Zuke View Post
    I have a lisp that is used in the office and works extreemly well, with the exception of the pedit line. Sometimes I get a prompt to convert lines and arcs to polylines and sometimes it doesnt.

    What im looking for is a way around the question. Here is a copy of the lisp

    The aim of the lisp is to return all lines to default thickness or 0 thickness, change lintypes to bylayer, and all line weights to default.

    Like i said this lisp works but somtimes i have to add "n" into the pedit line
    eg. "pedit" "m" "all" " "n" " "w" "0" ""


    (defun c:thinline ()
    (command "select" "_all" ""
    "chprop" "p" "" "color" "bylayer" "LTscale" "1" "lweight" "bylayer" ""
    "-layer" "lweight" "default" "*" ""
    "pedit" "m" "all" " " "w" "0" ""
    "ZOOM" "E"
    "REGEN"
    )
    (princ))

  3. #3
    I could stop if I wanted to
    Join Date
    2007-08
    Posts
    201
    Login to Give a bone
    0

    Default Re: Selecting only Polylines with pedit

    Hi,

    Have a look at the PEDITACCEPT sysvar.
    If it's set to 1 you won't have any prompt to convert lines and arcs.

  4. #4
    Active Member
    Join Date
    2007-11
    Posts
    68
    Login to Give a bone
    0

    Default Re: Selecting only Polylines with pedit

    ill try the peditaccept in the lisp and see what happens! sounds like its the key to my problem ill keep you posted. Thank you

  5. #5
    Active Member
    Join Date
    2007-11
    Posts
    68
    Login to Give a bone
    0

    Default Re: Selecting only Polylines with pedit

    It worked but; i had to turn on PEDITACCEPT and then in the lisp it asks everytime so i select no. Simple Thank you again

Similar Threads

  1. VBA:Selecting two polylines with one click
    By ssaqibh346404 in forum VBA/COM Interop
    Replies: 0
    Last Post: 2013-12-13, 09:40 AM
  2. 2013: Revit MEP 2013 is de-selecting components and selecting browser items!
    By enerGwizz in forum Revit MEP - General
    Replies: 1
    Last Post: 2013-01-12, 09:48 PM
  3. Joining polylines with PEDIT, fuzz distance issues
    By c.dodds344133 in forum AutoCAD General
    Replies: 10
    Last Post: 2012-12-06, 03:28 PM
  4. Reverse Polylines with Pedit
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 10
    Last Post: 2012-07-18, 03:55 AM
  5. 2011: 2011 Selecting Polylines
    By dkennard in forum AutoCAD General
    Replies: 7
    Last Post: 2011-01-27, 01:27 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •